
// The following ifdef block is the standard way of creating macros which make exporting 
// from a DLL simpler. All files within this DLL are compiled with the UTPC_EXPORTS
// symbol defined on the command line. this symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see 
// UTPC_API functions as being imported from a DLL, wheras this DLL sees symbols
// defined with this macro as being exported.
#ifdef UTPC_EXPORTS
#define UTPC_API __declspec(dllexport)
#else
#define UTPC_API __declspec(dllimport)
#endif

//Sound Type
#define      BUZZER                    1
#define      AUDIO                     2

/*UTPC_API BOOL _stdcall GetControllerName(BYTE  ControllerNum, LPSTR  devName);*/
UTPC_API BYTE _stdcall GetExistControllers(VOID);
UTPC_API BOOL _stdcall GetControllerName(BYTE  ControllerNum, CHAR *devName, BYTE Len);
UTPC_API HANDLE _stdcall OpenController(CHAR *pdevicename);
UTPC_API BOOL _stdcall CloseController(HANDLE Handler);

UTPC_API BOOL _stdcall DisableTouchReport(HANDLE deviceHandle, BYTE On); 
UTPC_API BOOL _stdcall SetRotation(HANDLE deviceHandle, BYTE Rotation);
UTPC_API BYTE _stdcall GetRotation(HANDLE deviceHandle);

UTPC_API BOOL _stdcall GetReportStatus(HANDLE deviceHandle); 
UTPC_API BOOL _stdcall EnableUpSound(HANDLE deviceHandle, BOOL Enable); 
UTPC_API BOOL _stdcall EnableDownSound(HANDLE deviceHandle, BOOL Enable); 
UTPC_API BOOL _stdcall GetUpSoundStatus(HANDLE deviceHandle);
UTPC_API BOOL _stdcall GetDownSoundStatus(HANDLE deviceHandle);

UTPC_API BOOL _stdcall ReopenCOMPort(HANDLE deviceHandle);
UTPC_API BOOL _stdcall CloseCOMPort(HANDLE deviceHandle); 
UTPC_API BOOL _stdcall ChangeCOMPort(HANDLE deviceHandle, DWORD thePort, DWORD Baudrate);
UTPC_API BYTE _stdcall CurrentCOMPort(HANDLE deviceHandle);

UTPC_API BOOL _stdcall WriteBuffer(HANDLE deviceHandle, UCHAR *CmdBuf, DWORD Len);
UTPC_API DWORD _stdcall ReadBuffer(HANDLE deviceHandle, UCHAR *RespBuf, DWORD Len);
UTPC_API DWORD _stdcall	ReadLength(HANDLE deviceHandle);
UTPC_API BOOL _stdcall	FlushReadBuffer(HANDLE deviceHandle);
///////////////////////////////////////////////////////////////////////////////////////////

UTPC_API BOOL _stdcall IsPenUp(HANDLE deviceHandle);
UTPC_API BOOL _stdcall SetCalPoint(HANDLE deviceHandle, BYTE PointNum, BYTE Samples, BYTE CalMode);
UTPC_API BOOL _stdcall CalCurrentPointReady(HANDLE deviceHandle, PULONG AvgPnt);


UTPC_API BOOL _stdcall SetDoubleClickSpeed(HANDLE deviceHandle, BYTE Speed); 
UTPC_API BOOL _stdcall SetDoubleClickArea(HANDLE deviceHandle, BYTE Area);
/*UTPC_API BOOL _stdcall GetDoubleClick(HANDLE deviceHandle, BYTE *Speed, BYTE *Area);*/
UTPC_API BYTE _stdcall GetDoubleClickSpeed(HANDLE deviceHandle); 
UTPC_API BYTE _stdcall GetDoubleClickArea(HANDLE deviceHandle);

UTPC_API BOOL _stdcall SetReportMode(HANDLE deviceHandle, BYTE Mode);
/*UTPC_API BOOL _stdcall GetReportMode(HANDLE deviceHandle, BYTE *Mode); */
UTPC_API BYTE _stdcall GetReportMode(HANDLE deviceHandle); /*Change*/

UTPC_API BOOL _stdcall SetRightClickTime(HANDLE deviceHandle, LONG Time); 
UTPC_API LONG _stdcall GetRightClickTime(HANDLE deviceHandle);/*Change*/
UTPC_API BOOL _stdcall EnableRightClick(HANDLE deviceHandle, BYTE Enable);
UTPC_API BOOL _stdcall GetRightClickEnabled(HANDLE deviceHandle); /*Change*/

/*UTPC_API BOOL _stdcall GetRightSetting(HANDLE deviceHandle, LONG *Time, BYTE *Enable);*/
UTPC_API BOOL _stdcall EnableDoubleClick(HANDLE deviceHandle, BOOL Enable); /*Changed*/
UTPC_API BOOL _stdcall GetDoubleClickEnabled(HANDLE deviceHandle);

UTPC_API BOOL _stdcall StoreCalibrationData(HANDLE deviceHandle);

/* for Larry request */
UTPC_API BOOL _stdcall GetDriverVersion(HANDLE deviceHandle, PCHAR version, BYTE Len);
UTPC_API INT  _stdcall GetDriverInterface(HANDLE deviceHandle);
UTPC_API BOOL _stdcall GetDriverPort(HANDLE deviceHandle, PCHAR  PortName, BYTE Len );

UTPC_API BYTE _stdcall AskToSetMultiMonitor( UCHAR ArrangeType, BYTE Numth );
UTPC_API BYTE _stdcall QueryMultiMonitorSetOK(VOID);/*Changed*/

UTPC_API BYTE _stdcall GetMultiMonitorLayout(HANDLE deviceHandle);
UTPC_API BYTE _stdcall GetMultiMonitorNumber(HANDLE deviceHandle);

UTPC_API BOOL _stdcall AskToSetDisplayNumber( BYTE Numth);
UTPC_API BOOL _stdcall QueryDisplayBeTouched(VOID);
UTPC_API BYTE _stdcall GetDisplayNumber(HANDLE deviceHandle);

UTPC_API BYTE _stdcall GetExistDisplays(VOID);
UTPC_API BOOL _stdcall GetDisplayName(BYTE  DisplayNum, CHAR *devName, BYTE Len);
UTPC_API BOOL _stdcall GetDisplayArea(CHAR  *devName, RECT *rect);

UTPC_API UINT _stdcall GetMeasureTime(HANDLE deviceHandle);
UTPC_API BOOL _stdcall SetMeasureTime(HANDLE deviceHandle, UINT mTime);
UTPC_API UINT _stdcall GetMeasureDelay(HANDLE deviceHandle);
UTPC_API BOOL _stdcall SetMeasureDelay(HANDLE deviceHandle, UINT MeasureDelay);
UTPC_API UINT _stdcall GetInfocus(HANDLE deviceHandle);
UTPC_API BOOL _stdcall SetInfocus(HANDLE deviceHandle, UINT Infocus);
UTPC_API UINT _stdcall GetOutfocus(HANDLE deviceHandle);
UTPC_API BOOL _stdcall SetOutfocus(HANDLE deviceHandle, UINT Outfocus);

UTPC_API BOOL _stdcall SetCalibrationPoint(HANDLE deviceHandle, BYTE PointNum);
UTPC_API BOOL _stdcall GetCalibrationData(HANDLE deviceHandle, PLONG pAvgPnt);
UTPC_API BOOL _stdcall SaveCalibrationData(HANDLE deviceHandle, PLONG pLong, BYTE cbSize);
UTPC_API BOOL _stdcall SetManualRightClick(BOOL On_Off);
UTPC_API BOOL _stdcall SetManualRightEvent(HANDLE hRightEvent);

UTPC_API BOOL _stdcall Set_Sound_Type(BYTE type);
UTPC_API BYTE _stdcall Get_Sound_Type(VOID);

UTPC_API BOOL _stdcall Get_Manual_RightClick_Status(VOID);
UTPC_API BOOL _stdcall Set_MRightClick_App(BOOL  On_Off);

UTPC_API BOOL _stdcall GetBasePoint(HANDLE deviceHandle, PLONG  pBPnt, BYTE cbSize);
UTPC_API BOOL _stdcall SetBasePoint(HANDLE deviceHandle, PLONG  pBPnt, BYTE cbSize);

UTPC_API BYTE _stdcall GetTouchSensitivity(HANDLE deviceHandle);
UTPC_API BOOL _stdcall SetTouchSensitivity(HANDLE deviceHandle, BYTE Level);
UTPC_API BYTE _stdcall GetNoiseLevel(HANDLE deviceHandle);
UTPC_API BOOL _stdcall SetNoiseLevel(HANDLE deviceHandle, BYTE Level);
UTPC_API INT _stdcall  GetAccLevel(HANDLE deviceHandle);
UTPC_API BOOL _stdcall SetAccLevel(HANDLE deviceHandle, INT Level);
UTPC_API BOOL _stdcall Set_BuzzerFreq(DWORD Freq);
UTPC_API DWORD _stdcall Get_BuzzerFreq(VOID);
UTPC_API BOOL _stdcall Set_BuzzerDuration(DWORD Duration);
UTPC_API DWORD _stdcall Get_BuzzerDuration(VOID);

UTPC_API BOOL _stdcall Reset_Linear_Data (HANDLE deviceHandle);
UTPC_API BOOL _stdcall Reset_2PCalib_Data (HANDLE deviceHandle);

